Bug 49169 - Migrate services/univention-admin-diary to dh_python2
Migrate services/univention-admin-diary to dh_python2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.4
All Linux
: P5 normal (vote)
: UCS 4.4-3-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on: 49161
Blocks: 28497
  Show dependency treegraph
 
Reported: 2019-03-28 10:27 CET by Florian Best
Modified: 2019-12-11 16:49 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-03-28 10:27:35 CET
The package services/univention-admin-diary should be migrated to use dh_python instead of python-support.

Migration-Guide: https://hutten.knut.univention.de/mediawiki/index.php/Python_DebHelper_Migration
Comment 1 Florian Best univentionstaff 2019-04-04 15:26:28 CEST
Pyshared references needs to be adjusted:
services/univention-admin-diary/scripts/make_udm_events.py:# python $0 2> errors >> /usr/share/pyshared/univention/admindiary/events.py
Comment 2 Florian Best univentionstaff 2019-11-12 14:48:10 CET
Patch available in git:dh-python/services
Comment 3 Florian Best univentionstaff 2019-12-03 16:38:47 CET
Patch applied.

univention-admin-diary (1.0.0-48)
a5bb5e8f6645 | Bug #49169: futurize univention-admin-diary
c3e8a410dd37 | Bug #49169: fix PEP8: univention-admin-diary
b2714f8b8bfd | Bug #49169: autopep8 univention-admin-diary (E302)
a170aca4b1a0 | Bug #49169: migrate univention-admin-diary to dh_python

univention-admin-diary.yaml
8efc889fef89 | Bug #49168
1689dcd8699d | Fix YAML Bug #49169
Comment 4 Johannes Keiser univentionstaff 2019-12-10 12:30:23 CET
OK code changes
OK debdiff / dpkg -L
OK install / upgrade
OK UMC module
OK YAML
-> verified
Comment 5 Erik Damrose univentionstaff 2019-12-11 16:49:36 CET
<http://errata.software-univention.de/ucs/4.4/391.html>